Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGStringList

public interface SVGStringList

Method Summary
`java.lang.String` | `appendItem(java.lang.String newItem)`
`void` | `clear()`
`java.lang.String` | `getItem(int index)`
`int` | `getNumberOfItems()`
`java.lang.String` | `initialize(java.lang.String newItem)`
`java.lang.String` | `insertItemBefore(java.lang.String newItem, int index)`
`java.lang.String` | `removeItem(int index)`
`java.lang.String` | `replaceItem(java.lang.String newItem, int index)`

Method Detail

### getNumberOfItems

    public int getNumberOfItems()

### clear

    public void clear()
               throws DOMException

### initialize

    public java.lang.String initialize(java.lang.String newItem)
                                throws DOMException,
                                       SVGException

### getItem

    public java.lang.String getItem(int index)
                             throws DOMException

### insertItemBefore

    public java.lang.String insertItemBefore(java.lang.String newItem,
                                             int index)
                                      throws DOMException,
                                             SVGException

### replaceItem

    public java.lang.String replaceItem(java.lang.String newItem,
                                        int index)
                                 throws DOMException,
                                        SVGException

### removeItem

    public java.lang.String removeItem(int index)
                                throws DOMException

### appendItem

    public java.lang.String appendItem(java.lang.String newItem)
                                throws DOMException,
                                       SVGException

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD